/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.message.valueobject;

/**
 * BlancoMessageのなかで利用されるValueObjectです。
 */
public class BlancoMessageFieldStructure {
    /**
     * フィールド [no]
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     */
    private String fNo;

    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * キーをあらわします。
     */
    private String fName;

    /**
     * フィールド [message]
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ文字列をあらわします。
     */
    private String fMessage;

    /**
     * フィールド [no]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     *
     * @param argNo フィールド[no]に格納したい値
     */
    public void setNo(final String argNo) {
        fNo = argNo;
    }

    /**
     * フィールド[no]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 項目番号
     *
     * @return フィールド[no]に格納されている値
     */
    public String getNo() {
        return fNo;
    }

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * キーをあらわします。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * キーをあらわします。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [message]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ文字列をあらわします。
     *
     * @param argMessage フィールド[message]に格納したい値
     */
    public void setMessage(final String argMessage) {
        fMessage = argMessage;
    }

    /**
     * フィールド[message]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * メッセージ文字列をあらわします。
     *
     * @return フィールド[message]に格納されている値
     */
    public String getMessage() {
        return fMessage;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.message.valueobject.BlancoMessageFieldStructure[");
        buf.append("no=" + fNo);
        buf.append(",name=" + fName);
        buf.append(",message=" + fMessage);
        buf.append("]");
        return buf.toString();
    }
}
